/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.Parada;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderEditarPricingCorrida implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        Corrida corrida = (Corrida) o;

        Listcell lc = new Listcell(corrida.getId().getCorridaId().toString());
        lc.setParent(lstm);

        SimpleDateFormat sdfHora = new SimpleDateFormat("HH:mm");
        Date hora = corrida.getFechorsalida();
        if (hora != null) {
            lc = new Listcell(sdfHora.format(hora));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada origem = corrida.getOrigem();
        if (origem != null) {
            lc = new Listcell(origem.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = corrida.getDestino();
        if (destino != null) {
            lc = new Listcell(destino.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        ClaseServicio claseServicio = corrida.getClaseServicio();
        if (claseServicio != null) {
            lc = new Listcell(claseServicio.getDescclase());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Marca marca = corrida.getMarca();
        if (marca != null) {
            lc = new Listcell(marca.getDescmarca());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", corrida);
    }
}
